Processing ActivitiesUpdate processing activity
Processing Activities

Update processing activity

Updates an existing processing activity.

curl -X PATCH "https://api.neostra.io/api/v1/processing-activities/example_string" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN (JWT)" \
  -d '{
  "name": "Email Marketing",
  "purpose": "example_string",
  "legalBasis": "Consent",
  "dataSubjectCategories": [
    "example_string"
  ],
  "dataPoints": [
    "example_string"
  ]
}'
{
  "status": 200,
  "message": "Success",
  "data": {},
  "errors": [
    "example_string"
  ]
}
PATCH
/api/v1/processing-activities/{id}
PATCH
Bearer Token (JWT)
Bearer Tokenstring
Required

JWT bearer token for authentication

JWT bearer token for authentication
path
idstring
Required

The resource identifier

Content-Typestring
Required

The media type of the request body

Options: application/json
namestring

Name of the processing activity

purposestring

Purpose of processing

legalBasisstring

Legal basis for processing

dataSubjectCategoriesarray

Associated data subject category IDs

dataPointsarray

Associated data point IDs

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token (JWT). JWT bearer token for authentication

Path Parameters

idstring
Required

The resource identifier

Body

application/json
namestring

Name of the processing activity

purposestring

Purpose of processing

legalBasisstring

Legal basis for processing

dataSubjectCategoriesarray

Associated data subject category IDs

dataPointsarray

Associated data point IDs

Responses

statusinteger

HTTP status code

messagestring

Response message

dataobject

Response payload

errorsstring[]

List of error details, if any